Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 731250 - Last Rites: net-libs/osptoolkit
Summary: Last Rites: net-libs/osptoolkit
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jaco Kroon
URL:
Whiteboard:
Keywords: PMASKED, PullRequest
Depends on:
Blocks:
 
Reported: 2020-07-07 10:26 UTC by Agostino Sarubbo
Modified: 2020-08-21 12:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,10.53 KB, text/plain)
2020-07-07 10:26 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 10:26:30 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-libs/osptoolkit fails to compile.
Discovered on: amd64

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue isstrictly related to the LLD linker, please block bug 731004.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 10:26:35 UTC
Created attachment 648214 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-07-16 18:33:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=535dcfcfed481a4b800f8b4056adab6961871230

commit 535dcfcfed481a4b800f8b4056adab6961871230
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-07-16 18:09:46 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-16 18:33:19 +0000

    profiles/arch/arm64: mask net-libs/osptoolkit
    
    Bug: https://bugs.gentoo.org/716426
    Bug: https://bugs.gentoo.org/674346
    Bug: https://bugs.gentoo.org/731250
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/arm64/package.mask     | 7 +++++++
 profiles/arch/arm64/package.use.mask | 5 +++++
 2 files changed, 12 insertions(+)
Comment 3 Jaco Kroon 2020-07-17 07:37:47 UTC
last riting.
Comment 4 Jaco Kroon 2020-07-17 07:40:02 UTC
Package to be removed.  No need for it.
Comment 5 Larry the Git Cow gentoo-dev 2020-07-20 20:40:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fc4249c42dcf29a85061c54a4e1067396972f89

commit 1fc4249c42dcf29a85061c54a4e1067396972f89
Author:     Jaco Kroon <jaco@uls.co.za>
AuthorDate: 2020-07-19 07:32:35 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-20 20:39:56 +0000

    package.mask: mask net-libs/osptoolkit
    
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=731250
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=674346
    Signed-off-by: Jaco Kroon <jaco@uls.co.za>
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 7 +++++++
 1 file changed, 7 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=630e595c88633d9b9bf14d13866045d2034cd198

commit 630e595c88633d9b9bf14d13866045d2034cd198
Author:     Jaco Kroon <jaco@uls.co.za>
AuthorDate: 2020-07-17 06:51:57 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-20 20:39:51 +0000

    net-misc/asterisk: remove osplookup USE flag from 13 + 16 branches.
    
    osptoolkit no longer compiles:
    
    Bug: https://bugs.gentoo.org/731250
    Bug: https://bugs.gentoo.org/674346
    
    Whilst this may be fixed in upstream versions, osptoolkit has asterisk
    as the only dependency, and since it's been broken for a very long time,
    move towards removal since we're not aware of anyone using this.
    
    Signed-off-by: Jaco Kroon <jaco@uls.co.za>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-misc/asterisk/asterisk-13.33.0.ebuild | 4 +---
 net-misc/asterisk/asterisk-13.34.0.ebuild | 4 +---
 net-misc/asterisk/asterisk-16.10.0.ebuild | 4 +---
 net-misc/asterisk/asterisk-16.11.1.ebuild | 4 +---
 4 files changed, 4 insertions(+), 12 deletions(-)
Comment 6 Larry the Git Cow gentoo-dev 2020-08-21 12:01:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ee800eadf7606dceb161c1a4823641ca5b12812

commit 2ee800eadf7606dceb161c1a4823641ca5b12812
Author:     Jaco Kroon <jaco@uls.co.za>
AuthorDate: 2020-08-21 11:53:16 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-21 12:00:26 +0000

    net-libs/osptoolkit: remove last rited package
    
    Closes: https://bugs.gentoo.org/731250
    Signed-off-by: Jaco Kroon <jaco@uls.co.za>
    Closes: https://github.com/gentoo/gentoo/pull/17202
    Signed-off-by: Sam James <sam@gentoo.org>

 net-libs/osptoolkit/Manifest                       |  1 -
 .../osptoolkit/files/osptoolkit-4.13.0-gcc5.patch  | 17 ----
 net-libs/osptoolkit/metadata.xml                   | 11 ---
 net-libs/osptoolkit/osptoolkit-4.13.0.ebuild       | 97 ----------------------
 profiles/package.mask                              |  7 --
 5 files changed, 133 deletions(-)